[#12436] - Unable to Update from 6.10 to 6.11

Category:
Bug report
Priority:
Normal
Status:
New
Project: Severity:
Major
Resolution:
Open
Component: Reproducibility:
Always
Assigned to:
0

Error message as below when attempting to update

An error occurred while collecting items to be installed
session context was:(profile=DefaultProfile, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
No repository found containing: osgi.bundle,com.jaspersoft.studio,6.11.0.final
No repository found containing: osgi.bundle,com.jaspersoft.studio.babel.editor,6.11.0.final
No repository found containing: osgi.bundle,com.jaspersoft.studio.book,6.11.0.final
No repository found containing: osgi.bundle,com.jaspersoft.studio.bundles.jackson,2.10.0.b01
No repository found containing: osgi.bundle,com.jaspersoft.studio.bundles.xmlbeans,3.1.0.b01
No repository found containing: osgi.bundle,com.jaspersoft.studio.community,6.11.0.final
No repository found containing: osgi.bundle,com.jaspersoft.studio.components,6.11.0.final
No repository found containing: osgi.bundle,com.jaspersoft.studio.components.customvisualization,6.11.0.final
No repository found containing: osgi.bundle,com.jaspersoft.studio.data,6.11.0.final
No repository found containing: osgi.bundle,com.jaspersoft.studio.data.drivers,6.11.0.final
No repository found containing: osgi.bundle,com.jaspersoft.studio.data.mongodb,6.11.0.final
No repository found containing: osgi.bundle,com.jaspersoft.studio.data.sql,6.11.0.final
No repository found containing: osgi.bundle,com.jaspersoft.studio.data.sql.ui,6.11.0.final
No repository found containing: osgi.bundle,com.jaspersoft.studio.doc,6.11.0.final
No repository found containing: osgi.bundle,com.jaspersoft.studio.doc.samples,6.11.0.final
No repository found containing: osgi.bundle,com.jaspersoft.studio.editor.jrexpressions,6.11.0.final
No repository found containing: osgi.bundle,com.jaspersoft.studio.editor.jrexpressions.ui,6.11.0.final
No repository found containing: osgi.bundle,com.jaspersoft.studio.html,6.11.0.final
No repository found containing: osgi.bundle,com.jaspersoft.studio.properties,6.11.0.final
No repository found containing: osgi.bundle,com.jaspersoft.studio.rcp,6.11.0.final
No repository found containing: osgi.bundle,com.jaspersoft.studio.server,6.11.0.final
No repository found containing: osgi.bundle,com.jaspersoft.studio.server.soap,6.11.0.final
No repository found containing: osgi.bundle,com.jaspersoft.studio.svgimporter,6.11.0.final
No repository found containing: osgi.bundle,com.jaspersoft.studio.widgets.map,6.11.0.final
No repository found containing: osgi.bundle,com.jaspersoft.studio.xtext.jface,6.11.0.final
No repository found containing: osgi.bundle,net.sf.jasperreports,6.11.0.final
No repository found containing: osgi.bundle,net.sf.jasperreports.doc,6.11.0.final
No repository found containing: osgi.bundle,net.sf.jasperreports.samples,6.11.0.final
No repository found containing: osgi.bundle,org.apache.commons.commons-codec,1.13.0
No repository found containing: osgi.bundle,org.apache.commons.commons-collections4,4.4.0
No repository found containing: osgi.bundle,com.jaspersoft.studio.bundles.cdt-java-client,2.0.0.b01
No repository found containing: osgi.bundle,com.jaspersoft.studio.bundles.poi,4.1.1.b01
No repository found containing: org.eclipse.update.feature,com.jaspersoft.studio.feature,6.11.0.final
No repository found containing: org.eclipse.update.feature,com.jaspersoft.studio.foundation.bundles,1.0.14
No repository found containing: org.eclipse.update.feature,com.jaspersoft.studio.rcp.feature,6.11.0.final
No repository found containing: binary,com.jaspersoft.studio.rcp.product.executable.win32.win32.x86_64,6.11.0.final
No repository found containing: org.eclipse.update.feature,com.jaspersoft.studio.supplemental.bundles,6.11.0.final
No repository found containing: org.eclipse.update.feature,net.sf.jasperreports.feature,6.11.0.final
No repository found containing: org.eclipse.update.feature,net.sf.jasperreports.samples.feature,6.11.0.final
No repository found containing: osgi.bundle,org.apache.commons.commons-compress,1.19.0

wayne.stone's picture
Joined: Apr 2 2019 - 4:04pm
Last seen: 1 month 1 week ago

1 Comment:

#1

Unable to Update from 6.7 to 6.11

!ENTRY org.eclipse.osgi 4 0 2019-12-19 13:20:40.460
!MESSAGE Application error
!STACK 1
java.lang.LinkageError: loader constraint violation: loader (instance of org/eclipse/osgi/internal/loader/EquinoxClassLoader) previously initiated loading for a different type with name "org/eclipse/core/commands/IHandler"
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(ClassLoader.java:763)
at org.eclipse.osgi.internal.loader.ModuleClassLoader.defineClass(ModuleClassLoader.java:278)
at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.defineClass(ClasspathManager.java:716)
at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findClassImpl(ClasspathManager.java:639)
at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findLocalClassImpl(ClasspathManager.java:607)
at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findLocalClassImpl(ClasspathManager.java:587)
at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findLocalClass(ClasspathManager.java:566)
at org.eclipse.osgi.internal.loader.ModuleClassLoader.findLocalClass(ModuleClassLoader.java:330)
at org.eclipse.osgi.internal.loader.BundleLoader.findLocalClass(BundleLoader.java:396)
at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:474)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:423)
at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:415)
at org.eclipse.osgi.internal.loader.ModuleClassLoader.loadClass(ModuleClassLoader.java:155)
at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
at org.eclipse.core.commands.Command.setHandler(Command.java:978)
at org.eclipse.ui.internal.commands.CommandPersistence.readCommandsFromRegistry(CommandPersistence.java:195)
at org.eclipse.ui.internal.commands.CommandPersistence.reRead(CommandPersistence.java:460)
at org.eclipse.ui.internal.CommandToModelProcessor.process(CommandToModelProcessor.java:71)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.lang.reflect.Method.invoke(Method.java:498)
at org.eclipse.e4.core.internal.di.MethodRequestor.execute(MethodRequestor.java:58)
at org.eclipse.e4.core.internal.di.InjectorImpl.invokeUsingClass(InjectorImpl.java:320)
at org.eclipse.e4.core.internal.di.InjectorImpl.invoke(InjectorImpl.java:248)
at org.eclipse.e4.core.contexts.ContextInjectionFactory.invoke(ContextInjectionFactory.java:147)
at org.eclipse.e4.ui.internal.workbench.ModelAssembler.runProcessor(ModelAssembler.java:424)
at org.eclipse.e4.ui.internal.workbench.ModelAssembler.runProcessors(ModelAssembler.java:386)
at org.eclipse.e4.ui.internal.workbench.ModelAssembler.processModel(ModelAssembler.java:109)
at org.eclipse.e4.ui.internal.workbench.ResourceHandler.loadMostRecentModel(ResourceHandler.java:196)
at org.eclipse.e4.ui.internal.workbench.swt.E4Application.loadApplicationModel(E4Application.java:385)
at org.eclipse.e4.ui.internal.workbench.swt.E4Application.createE4Workbench(E4Application.java:260)
at org.eclipse.ui.internal.Workbench.lambda$3(Workbench.java:581)
at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:338)
at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:559)
at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:150)
at com.jaspersoft.studio.rcp.intro.Application.start(Application.java:91)
at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:203)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:137)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:107)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:400)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:255)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.lang.reflect.Method.invoke(Method.java:498)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:660)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:597)
at org.eclipse.equinox.launcher.Main.run(Main.java:1468)
!SESSION 2019-12-19 13:20:54.804 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.8.0_151
java.vendor=Oracle Corporation
BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=en_IN
Command-line arguments: -os win32 -ws win32 -arch x86_64 -data @noDefault

!ENTRY com.jaspersoft.studio 1 0 2019-12-19 13:21:45.831
!MESSAGE Starting JaspersoftStudio bundle - Version: 6.11.0.final

!ENTRY org.eclipse.core.jobs 4 2 2019-12-19 13:21:46.173
!MESSAGE An internal error occurred during: "Pre-caching template images".
!STACK 0
java.lang.NullPointerException
at com.jaspersoft.studio.templates.DefaultTemplateProvider.loadAdditionalTemplateBundles(DefaultTemplateProvider.java:92)
at com.jaspersoft.studio.templates.DefaultTemplateProvider.getTemplateBundles(DefaultTemplateProvider.java:83)
at com.jaspersoft.studio.templates.StudioTemplateManager.getTemplateBundles(StudioTemplateManager.java:80)
at com.jaspersoft.studio.wizards.category.ReportTemplatesWizardPage.templateImagesPreCache(ReportTemplatesWizardPage.java:263)
at com.jaspersoft.studio.JaspersoftStudioPlugin$1.run(JaspersoftStudioPlugin.java:186)
at org.eclipse.core.internal.jobs.Worker.run(Worker.java:63)

Feedback
randomness